import { systemConfig } from "../../config/serverConfig";
import * as tableData from "./tableData";
const crypto = require('crypto');  
const fs = require('fs');  


let daier = {};
/**
 * 初始化表格数据，加密保存到daier.yydata
 */
export async function initConfiguration() {
    daier = {
        // "剧情表": tableData.juqingTableData(),
        "线索表": tableData.xiansuoTableData(),
        "工资表": tableData.gongziTableData(),
    };
    //创建一个AES-256-CBC的加密算法
    const algorithm = 'aes-256-cbc';
    let key = systemConfig.cryptoKey;
    let iv = systemConfig.cryptoIv;
    //创建一个cipher实例
    const cipher = crypto.createCipheriv(algorithm, key, iv);
    
    /**加密数据 */
    let encrypted = cipher.update(daier, 'utf8', 'hex');
    encrypted += cipher.final('hex');
    //将IV和加密后的数据一起写入文件
    let dataToWrite = `${iv}:${encrypted}`;
    //写入自定义后缀的文件
    fs.writeFile('daier.yydata', dataToWrite, (err) => {
        if (!err) console.log("数据已成功写入daier.yydata");
    })
}





// export async 








